Last Comment Bug 917027 - "check spelling as you type" periodically breaks for the duration of the process
: "check spelling as you type" periodically breaks for the duration of the process
Status: RESOLVED WORKSFORME
[gs][workaround: set mail.compose.max...
: regression
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: 24 Branch
: All All
-- major with 26 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
https://getsatisfaction.com/mozilla_m...
: 910848 918983 919184 919728 922637 922840 (view as bug list)
Depends on: 891904
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 15:50 PDT by al_9x
Modified: 2014-11-21 01:51 PST (History)
35 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+


Attachments
SpellCheck.jpg (51.46 KB, image/jpeg)
2013-09-26 10:28 PDT, PETIT
no flags Details

Description User image al_9x 2013-09-16 15:50:41 PDT
TB 24.0.0b3

I don't know how to repro reliably, not clear what triggers this, but fairly regularly tb stops underlining misspellings.  This lasts until it's restarted.
Comment 1 User image al_9x 2013-09-17 11:32:41 PDT
present in 24.0.0

intermittently broken spell checking is a significant regression in core functionality, which makes TB24 not worth using.
Comment 2 User image al_9x 2013-09-17 11:46:45 PDT
trying with all extensions disabled
Comment 3 User image al_9x 2013-09-17 12:25:23 PDT
can repro without extensions
Comment 4 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2013-09-17 13:08:34 PDT
Thunderbird 24.0 on Windows XP SP3 32 bit

Steps to reproduce:

Pre-conditions:
1. Have dictionaries installed (I have English, Spanish, and German installed). The English one is the default dictionary, don't know if that matters.

Breaking the spell checker:
2. Write and send a mail.
3. Compose a second mail with spelling errors in the body.

Actual result:
Second mail (and subsequent ones) are not checked for spelling errors. But writing a typo in the subject of the second mail got the red underline.
Comment 5 User image neil@parkwaycc.co.uk 2013-09-17 14:38:02 PDT
This is bug 891904 rearing its ugly head again.

I thought I had fixed it in bug 880595 but it turns out that there was another code path that was triggering it that I had overlooked.

What happens here is that in ComposeProcessDone we enable the editable fields. At this point I'm not sure whether we can tell whether we're about to close the window, as the caller is in nsMsgCompose.cpp, but if we do, then as part of closing the window we disable the spelling checker. Unfortunately it hasn't finished enabling itself when we enabled the editable fields, and so gets itself into an invalid state, and never manages to finish enabling itself next time.
Comment 6 User image Joe Sabash [:JoeS1] 2013-09-17 18:08:49 PDT
I can't reproduce this in win7 with current trunk.
can try tomorrow on my work laptop with winxp although I didn't notice the problem there.
Only one dictionary installed here. Maybe that's the diff
Ref: https://bugzilla.mozilla.org/show_bug.cgi?id=880595#c22
Comment 7 User image Joe Sabash [:JoeS1] 2013-09-18 05:27:17 PDT
OK..easily reproducible on my winxp laptop. (Tested both beta and current trunk)
What I think I missed in testing is that you have actually send or send later the first message before the symptoms appear. (I guess that's a requirement to get the recycled compose window logic involved)
Comment 8 User image Mark Reidenbach 2013-09-19 20:39:08 PDT
What I found is that any new message checks the spelling correctly as you type (underlines).  Reply to any message and the check spelling as you type does not work (no underlines).  Setting mail.compose.max_recycled_windows to 0 works with both new messages and when you reply.  I only have the english dictionary installed.

(Windows 8 / Thunderbird 24.0)
Comment 9 User image Joe Sabash [:JoeS1] 2013-09-21 07:11:49 PDT
*** Bug 918983 has been marked as a duplicate of this bug. ***
Comment 10 User image Joe Sabash [:JoeS1] 2013-09-23 18:26:11 PDT
*** Bug 919728 has been marked as a duplicate of this bug. ***
Comment 11 User image olen@martinsigns.com 2013-09-24 07:28:04 PDT
Sorry Joe, didn't mean to create a duplicate bug.  I did look at the existing bugs I swear.  This one didn't fit my description at first glance so I thought I had a new bug.
Comment 12 User image Dumitru Gherman [:dumitru] 2013-09-24 09:03:27 PDT
I can also reproduce this on Mac OS X.
Comment 13 User image lukasz.paszke 2013-09-25 04:03:52 PDT
Hi. I confirm it also on MAC OS X Lion 10.7.5 with Polish and English dictionary installed simultaneously.
Comment 14 User image Jorg K (GMT+1) 2013-09-26 02:51:32 PDT
I confirm for Windows XP 32 bit.
At times, spell checking breaks and only starts working again after TB is restarted.
I would like to second the opinion given above:
===
intermittently broken spell checking is a significant regression in core functionality, which makes TB24 not worth using.
===
Comment 15 User image lukasz.paszke 2013-09-26 03:04:20 PDT
TB is worth of using, we just must help programmers to fix the bugs :). TB is the best email client for me on MAC, and I tried many. Report bugs, send crash reports, activate telemetry, and your issues will be fixed.
Comment 16 User image Jorg K (GMT+1) 2013-09-26 04:12:49 PDT
Yes, TB is worth using, it's the best, I know. I've been using it since 2010. I even contributed to the code and testing (bugs 207156, 547119, 250878, 309932). However, this version 24 is pretty fatal. Not picking up spelling mistakes is fatal, since you don't even notice when the spell checker stops working. So unless this is fixed, version 24, IMHO, is not worth using.
Comment 17 User image lukasz.paszke 2013-09-26 04:21:06 PDT
I understand Jorg K. It is good idea to downgrade. Did you managed to downgrade successfully with full profile migration? I have third bug to report right now. I plan to use 24 till the end of the week to help track down bugs in features I am using, after that I will try to downgrade to get better efficiency with old version.
Comment 18 User image lukasz.paszke 2013-09-26 04:34:06 PDT
Lets vote above to increase importance of this issue.
Comment 19 User image John Hupp 2013-09-26 06:57:30 PDT
One report above indicates that merely saving a draft and then composing a new mail will trigger the bug in the new mail, but in my case I have to actually send a mail to trigger the bug in the new mail.

I'm on TB 24 under Win Vista x64, with just an English dictionary installed.

One work-around for this problem is to set Tools: Options: Composition: Spelling: Check spelling before sending.
Comment 20 User image Joe Smith 2013-09-26 10:00:40 PDT
Confirming on WinXP SP3 32 bit, TB 24.0 release, 3 dictionaries installed.

Test procedure: see comment 4. Bug does not depend on the dictionary used (tried US English 7.0.1 and German (de-DE) with Hunspell 20130905).

Work-around: see comment 8 (setting mail.compose.max_recycled_windows to 0).
Comment 21 User image Joe Sabash [:JoeS1] 2013-09-26 10:17:23 PDT
*** Bug 919184 has been marked as a duplicate of this bug. ***
Comment 22 User image Joe Smith 2013-09-26 10:20:29 PDT
P.S.: I use the text-only composition mode, if that matters.
Comment 23 User image PETIT 2013-09-26 10:28:35 PDT
Created attachment 810664 [details]
SpellCheck.jpg


Im using Thunderbird V 24 the 24.0 release with Windows XP.
The "check spelling as you type" option checked, no longer works : the wrong words are not underlined.
The language (French) is selected
Comment 24 User image lukasz.paszke 2013-09-26 10:39:56 PDT
I use html composition mode and issue also occurs, so probably composition mode is irrelevant.
Comment 25 User image lukasz.paszke 2013-09-26 11:36:10 PDT
Are there any side effects of mail.compose.max_recycled_windows fix? For me after modification of this field it started working instantly without restart.
Comment 26 User image Magnus Melin 2013-09-26 12:59:23 PDT
Opening compose windows may be slightly slower. But, i believe recycling was broken for a long time an no-one noticed. (IIRC it was indeed not working for tb17.)
Comment 27 User image olen@martinsigns.com 2013-09-26 13:11:34 PDT
(In reply to Magnus Melin from comment #26)
> Opening compose windows may be slightly slower. But, i believe recycling was
> broken for a long time an no-one noticed. (IIRC it was indeed not working
> for tb17.)

I wouldn't say no one noticed! ....just no one took the time to report it.  :)
Comment 28 User image lukasz.paszke 2013-09-27 00:32:43 PDT
comment #26 - Good point olen :)
Comment 29 User image Rich Lakey 2013-09-27 16:47:29 PDT
Two identical machines both fail. Linux Mint 14 operating sytem Thunderbird 24.0 
After starting Thunderbird first create email spelling errors are underlined. After sending an email, follow on create new emails do not spell check on the fly.
Comment 30 User image Rich Lakey 2013-09-28 14:44:22 PDT
Workaround in comment 20 seems to work.  Needed to install add-on ViewAbout. Then go to view/viewabout/about:config and set 1 to zero.
Comment 31 User image Mark Reidenbach 2013-09-28 21:40:12 PDT
Rich, you can also go to Options->Advanced, select the "General" tab, and then choose "Config Editor" to change the mail.compose.max_recycled_windows setting to 0.
Comment 32 User image paul 2013-09-28 22:57:24 PDT
Just in case anyone's confused, the full 'path' is: *Tools* > Options > Advanced, and click 'Config Editor' on the General tab. Search for mail.compose.max_recycled_windows, double click it, and change the '1' to '0' in the 'Enter integer value' window that pops up.

It's working for me with TB 24.0 in Windows 7 (Pro)-64 bit.
Comment 33 User image olen@martinsigns.com 2013-09-29 15:15:28 PDT
W7 Pro 32 bit also appears to be functioning properly with the mail.compose.max_recycled_windows band-aid.  Thank you for the suggestion.
Comment 34 User image Gurvinder Dadyala 2013-09-30 00:30:58 PDT
OS - Ubuntu 12.04.3 LTS
Linux Kernel Info - Linux gurvinder 3.2.0-54-generic #82-Ubuntu SMP Tue Sep 10 20:08:42 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
OS Arch - 64 BIT
Thunderbird Version - 24.0

Changing mail.compose.max_recycled_windows value to 0 seems to be working fine on my system as well.
Comment 35 User image Joe Sabash [:JoeS1] 2013-10-01 14:55:08 PDT
*** Bug 922840 has been marked as a duplicate of this bug. ***
Comment 36 User image Regis St-Gelais 2013-10-02 08:21:40 PDT
Duplicated by bug 910848
Comment 37 User image neil@parkwaycc.co.uk 2013-10-02 11:26:30 PDT
Bug 891904 has now been fixed, so the next nightly shouldn't have this problem.
Comment 38 User image Joe Sabash [:JoeS1] 2013-10-04 07:26:14 PDT
With TB 20131004050151..Inline spellcheck worked fine on 3 successive sent HTML messages.
Comment 39 User image Adam Roach [:abr] 2013-10-09 08:28:58 PDT
*** Bug 922637 has been marked as a duplicate of this bug. ***
Comment 40 User image Launchpad 2013-10-11 00:35:33 PDT
Feistybird added the following comment to Launchpad bug report 1229172:

this works for me , thanks!

-- 
http://launchpad.net/bugs/1229172
Comment 41 User image Mark Banner (:standard8) 2013-10-11 03:34:32 PDT
Thunderbird 24.0.1 is now released which includes the fix from bug 891904 and should address this issue.
Comment 42 User image José Jeria 2014-07-29 00:35:28 PDT
*** Bug 910848 has been marked as a duplicate of this bug. ***
Comment 43 User image Jorg K (GMT+1) 2014-11-18 02:23:26 PST
Can this bug be resolved? I was fixed in Oct. 2013.
Comment 44 User image olen@martinsigns.com 2014-11-18 06:22:44 PST
(In reply to Jorg K from comment #43)
> Can this bug be resolved? I was fixed in Oct. 2013.

For sure Jork K!  TB is by far the most awesome email client I've ever used but this has got to be the single most annoying aspect of the WHOLE program.  Instead of typing away on a long email without breaking my thought AND THEN going back to check if there are any spellings flagged; I instead have to stop as soon as one is flagged and correct it.  If I don't, then the "flagging" goes away and then I don't remember which words I had misspelled.  You would think something like this would be elementary but apparently not because I've been dealing with this for years.  I'm being literal.
Comment 45 User image Jorg K (GMT+1) 2014-11-18 06:54:14 PST
This bug is about a fault in TB v 24 which was fixed in 24.0.1.
The error was that inline spell-checking didn't not work at all.

The effect that you're observing is a different bug that I have reported in bug 1100966.

Once again: Please close this bug.
Comment 46 User image Wayne Mery (:wsmwk, NI for questions) 2014-11-18 07:03:33 PST
(In reply to Jorg K from comment #45)
> Once again: Please close this bug.

I never saw this issue, so I don't feel it's my call to close it. al_9x, :aryx and others can better decide.
Comment 47 User image al_9x 2014-11-18 16:17:00 PST
though I thought I set mail.compose.max_recycled_windows to 0, it's now 1 and I'm not experiencing the symptoms, so must be fixed
Comment 48 User image olen@martinsigns.com 2014-11-18 16:52:38 PST
(In reply to Jorg K from comment #45)
> This bug is about a fault in TB v 24 which was fixed in 24.0.1.
> The error was that inline spell-checking didn't not work at all.
> 
> The effect that you're observing is a different bug that I have reported in
> bug 1100966.
> 
> Once again: Please close this bug.

Sorry Jorg K, I didn't realize that.  You just created the 1100966 bug report today so obviously I wasn't able to see it before.  From the description in this one, it sounded to me like this was the same issue.
I'll comment on the other bug report instead.
Comment 49 User image Jorg K (GMT+1) 2014-11-19 01:13:40 PST
@al_9x@yahoo.com: Please resolve the bug.

There are too many inactive bugs in the system with unknown state dangling around for years.
This bug is resolved, it should be marked resolved.
Comment 50 User image Jorg K (GMT+1) 2014-11-21 01:39:31 PST
@al_9x@yahoo.com: Please resolve the bug.
Comment 51 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2014-11-21 01:51:12 PST
Resolved Worksforme with Thunderbird 24.8.1 on Windows 8.1

@Jorg K: Please be more patient. Asking more than once in two weeks in unnecessary.

Note You need to log in before you can comment on or make changes to this bug.